function resultado=log2_digital(number,bits)

numero=number;
nbits=bits;
char_temp=dec2bin(numero);
[~,largo]=size(char_temp);
temp_decimal=zeros([nbits,1]);
parte_entera=largo-1;

for i=1:nbits
    if (largo-i)>0
        if (char_temp(i+1)=='1')
            temp_decimal(i)=1;
        else
            temp_decimal(i)=0;
        end
    else
        temp_decimal(i)=0;
    end
end

pot_2=zeros([nbits,1]);
for i=1:nbits
    pot_2(i)=2^(-i);
end

parte_decimal=sum(pot_2.*temp_decimal);

resultado =parte_entera+parte_decimal;

end